1 Reply Latest reply on Jun 7, 2010 2:17 PM by Flex harUI

    Flex Multi-version Applications | is this possible?

    asafdsadfasddfsas Level 1

      I have a Flex Application containing 2 modules. The Flex application is compiled using Flex 3.0 SDK. My question here is: I want to compile only those 2 flex modules using Flex SDK 3.5. In this case, whether the modules can communicate with the main application without any problem and how to implement it? Please explain in detail.

        • 1. Re: Flex Multi-version Applications | is this possible?
          Flex harUI Adobe Employee

          Mixing versions with modules and their loader is not supported.  There are

          posts about the "Marshall Plan" cross-versioning support that utilizes

          sub-apps instead of modules in the flex doc and my blog.

           

          However, mixing version is not prevented either.  If it happens to work for

          you because none of the classes and APIs involved have incompatibilities,

          then you can go into production with such a configuration.  Usually

          incompatibilities cause verify errors and are easily found, but not

          always...

          --

          Alex Harui

          Flex SDK Team

          Adobe System, Inc.

          http://blogs.adobe.com/aharui